Aria: ArMapChangedHelper Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArMapChangedHelper Class Reference

`#include <ArMapUtils.h>`

List of all members.

## Detailed Description

Helper class that stores and invokes the map changed callbacks.

Java and Python Wrappers: Not available in Java or Python wrapper libraries.

## Public Member Functions
virtual void | addMapChangedCB (ArFunctor *functor, ArListPos::Pos position=ArListPos::LAST)
| Adds a callback to be invoked when the map is changed.
virtual void | addPreMapChangedCB (ArFunctor *functor, ArListPos::Pos position=ArListPos::LAST)
| Adds a callback called before the map changed callbacks are called.
| ArMapChangedHelper ()
| Constructor.
virtual ArLog::LogLevel | getMapChangedLogLevel (void)
| Gets the level we log our map changed callback at.
virtual void | invokeMapChangedCallbacks (void)
| Function that invokes the map changed callbacks.
virtual void | remMapChangedCB (ArFunctor *functor)
| Removes a callback invoked when the map is changed.
virtual void | remPreMapChangedCB (ArFunctor *functor)
| Removes a callback called before the map changed callbacks are called.
virtual void | setMapChangedLogLevel (ArLog::LogLevel level)
| Sets the level we log our map changed callback at.
virtual | ~ArMapChangedHelper ()
| Destructor.
## Protected Attributes
std::list< ArFunctor * > | myMapChangedCBList
ArLog::LogLevel | myMapChangedLogLevel
std::list< ArFunctor * > | myPreMapChangedCBList

## Member Function Documentation

virtual void ArMapChangedHelper::addPreMapChangedCB | ( | ArFunctor * | functor,
|  | ArListPos::Pos | position = `ArListPos::LAST` |
| ) |  |  | `[virtual]`

Adds a callback called before the map changed callbacks are called.

Note that these callbacks are simply invoked before the "normal" map changed callbacks. They are not

The documentation for this class was generated from the following file:

- ArMapUtils.h